Get Top-up Balances
get
/topupBalance
Gets top-up balances that match the query criteria.
Request
Query Parameters
-
bucket.id: string
Retrieves the top-up balance associated with the balance group POID.Example:
0.0.0.1+-balance_group+71659 -
fields: string
The list of comma-separated fields to return in the response.Example:
isAutoTopup,paymentMethod -
id: string
Retrieves the specified top-up POID.Example:
0.0.0.1+-topup+285083 -
isAutoTopup: boolean
The value indicates whether the request is for an automatic top up.Example:
true -
limit: integer
The maximum number of results to return. For example, use limit=10 to return the first 10 results only.Example:
10 -
logicalResource.value: string
Retrieves the top-up balance associated with the login ID or device ID.Example:
964-20210827-041409-0-9169--146802944-mum-54 -
numberOfPeriods: integer
The number of periods to execute the recharge operation. If not included, the topup occurs every period.Example:
2 -
offset: integer
The number of results to offset the response by. For example, use offset=10 to return results 10 and higher.Example:
10 -
partyAccount.id: string
Retrieves the top-up balance associated with the account external ID or account POID.Examples
-
product.id: string
Retrieves the top-up balance associated with the specified service ID, login ID or alias name.Examples
-
recurringPeriod: string
The periodicity for the recharge operation, such as monthly, weekly, or daily.Example:
daily -
usageType: string
The type of underlying balance type, such as data or voice.Example:
data
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8
200 Response
The top-up balances were retrieved successfully.
Headers
-
X-Result-Count:
The number of items returned in the response body.
-
X-Total-Count:
The total number of items that matched the criteria.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Topup Balance
Title:
Topup BalanceA top-up.
Nested Schema : Topup Balance
Type:
objectTitle:
Topup BalanceA top-up.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
amount: object
Quantity
Represents an amount in a specified unit.
-
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
channel: object
ChannelRef
A reference to a channel.
-
confirmationDate: string
(date-time)
Title:
Confirmation DateThe date the top-up was confirmed. -
description: string
Title:
DescriptionThe top-up's description. -
href: string
(uri)
Title:
HrefThe top-up balance's href. -
id: string
Title:
IDThe top-up balance's ID. -
impactedBucket: array
impactedBucket
A reference to the bucket impacted by the request.
-
isAutoTopup: boolean
Title:
Is Auto TopupThe value indicates whether the top-up is automatic (true) or not (false). -
logicalResource: object
Logical Resource Ref
Title:
Logical Resource RefA reference to a logical resource. -
numberOfPeriods: integer
Title:
Number of PeriodsThe number of billing periods for which an automatic top-up occurs. If this property is not specified, the top-up will continue automatically indefinitely. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
payment: object
PaymentRef
A payment received at order time.
-
paymentMethod: object
PaymentMethodRef
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
-
product: object
ProductRef
A product reference.
-
reason: string
Title:
ReasonThe reason for the top-up. -
recurringPeriod: string
The type of recurring period for the top-up.
- relatedParty: array relatedParty
- relatedTopupBalance: object Related Topup Balance
-
requestedDate: string
(date-time)
Title:
Requested DateThe date and time that the top-up request was made. -
requestor: object
Related Party
Title:
Related PartyA party related to another object. -
status: string
The status of the request.
-
usageType: string
The top-up's usage type.
-
voucher: string
Title:
VoucherThe voucher used for the top-up.
Nested Schema : Quantity
Type:
objectRepresents an amount in a specified unit.
Show Source
-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
Nested Schema : Bucket Ref
Type:
objectTitle:
Bucket RefA reference to a bucket.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
The bucket's href.
-
id(required): string
Title:
Bucket IDThe bucket's ID. -
name: string
Title:
Bucket NameThe bucket's name. -
usageType: string
The bucket's usage type.
Nested Schema : ChannelRef
Type:
objectA reference to a channel.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Channel HrefThe channel's href. -
id(required): string
Title:
Channel IDThe channel's ID. -
name: string
Title:
Channel NameThe channel's name.
Nested Schema : impactedBucket
Type:
arrayA reference to the bucket impacted by the request.
Show Source
-
Array of:
object ImpactedBucket
A bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Nested Schema : Logical Resource Ref
Type:
objectTitle:
Logical Resource RefA reference to a logical resource.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
HrefThe resource's href. -
id(required): string
Title:
IDThe resource's ID. -
name: string
Title:
NameThe resource's name. -
value: string
The device number(PIN_FLD_ALIAS_LIST) or the login (PIN_FLD_LOGIN).
Nested Schema : Party Account Ref
Type:
objectTitle:
Party Account RefA reference to a party account.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
Nested Schema : PaymentRef
Type:
objectA payment received at order time.
Show Source
-
@baseType: string
The object's superclass.
-
@referredType: string
The object's type in the target system, if baseType and type need further disambiguation.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
href: string
(uri)
The payment's href.
-
id(required): string
The payment's ID.
-
name: string
The payment's name.
Nested Schema : PaymentMethodRef
Type:
objectPaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
Match All
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
Show Source
Nested Schema : ProductRef
Type:
objectA product reference.
Match All
A product reference.
A product reference.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
Nested Schema : Related Topup Balance
Type:
objectTitle:
Related Topup BalanceA relationship between balance top-ups that defines whether a balance is the parent or child of another.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType(required): string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
HrefThe top-up balance's href. -
id(required): string
Title:
IDThe top-up balance's ID. -
name: string
Title:
NameThe top-up balance's name. -
role: string
Title:
RoleThe top-up balance's role. For example, parent or child.
Nested Schema : Related Party
Type:
objectTitle:
Related PartyA party related to another object.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType(required): string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
(uri)
Title:
HrefThe party's href. -
id(required): string
Title:
Party IDThe party's ID. -
name: string
Title:
Party NameThe party's name. -
role: string
Title:
Party RoleThe party's role.
Nested Schema : ImpactedBucket
Type:
objectA bucket impacted by a balance top-up, adjustment, transfer, or reservation.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amountAfter: object
Quantity
Represents an amount in a specified unit.
-
amountBefore: object
Quantity
Represents an amount in a specified unit.
-
bucket: object
Bucket Ref
Title:
Bucket RefA reference to a bucket. -
confirmationDate: string
(date-time)
The date and time the impact was confirmed.
-
description: string
The impacted bucket's description.
-
item(required): array
item
Minimum Number of Items:
1The impacted bucket items. -
name: string
The impacted bucket's name.
-
requestedDate: string
(date-time)
The date and time the request was received.
Nested Schema : item
Type:
arrayMinimum Number of Items:
1The impacted bucket items.
Show Source
-
Array of:
object ImpactedBucketItem
An impact item that affects an ImpactedBucket object.
Nested Schema : ImpactedBucketItem
Type:
objectAn impact item that affects an ImpactedBucket object.
Show Source
-
@baseType: string
The object's superclass.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
amount: object
Quantity
Represents an amount in a specified unit.
-
description: string
The impact item's description.
-
itemType: string
The impact item's type, indicating if the bucket is incremented (credit) or decremented (debit).
-
name: string
The impact item's name indicates the transaction activity, such as a top-up or bonus. additional bonus, tax, or fees.
-
reason: string
The reason for the impact item.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The requested resource couldn't be found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to get top-up balances by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
The request uses query parameters to show two top-up balances for a specified account.
curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/topupBalance?partyAccount.id=0.0.0.1+-account+6340627&limit=2'
Response Body
The following example shows the contents of the response body in JSON format.
[
{
"@baseType": "TopupBalance",
"@schemaLocation": null,
"@type": "TopupBalance",
"amount": {
"amount": 2.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": {
"id": "0.0.0.1+-balance_group+6344211+840+0",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+6344211+840+0",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"channel": null,
"confirmationDate": "2025-09-20T11:45:02+05:30",
"description": null,
"href": "http://host:port/brm/prepayBalanceManagement/v4/topupBalance/0.0.0.1+-topup+6448982",
"id": "0.0.0.1+-topup+6448982",
"impactedBucket": [
{
"@baseType": "ImpactedBucket",
"@schemaLocation": null,
"@type": "ImpactedBucket",
"amountAfter": {
"amount": -2.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"amountBefore": {
"amount": 0.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": {
"id": "0.0.0.1+-balance_group+6344211+840+0",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+6344211+840+0",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"confirmationDate": null,
"description": null,
"item": [
{
"@baseType": "ImpactedBucketItem",
"@schemaLocation": null,
"@type": "ImpactedBucketItem",
"amount": {
"amount": 2.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"description": null,
"itemType": null,
"name": null,
"reason": null
}
],
"name": null,
"requestedDate": null
}
],
"isAutoTopup": false,
"logicalResource": {
"@baseType": null,
"@referredType": null,
"@schemaLocation": null,
"@type": null,
"href": null,
"id": null,
"name": null,
"value": ""
},
"numberOfPeriods": null,
"partyAccount": {
"id": "0.0.0.1+-account+6340627",
"href": null,
"description": null,
"name": "Jane Mason",
"status": "active",
"@baseType": null,
"@schemaLocation": null,
"@type": "PartyAccountRef",
"@referredType": null
},
"payment": {
"id": "0.0.0.1+-item-payment+6450518",
"href": "http://host:port/brm/payment/v4/payment/0.0.0.1+-item-payment+6450518",
"name": "Billing Event Log",
"amount": {
"unit": "USD",
"value": 2.0
},
"paymentDate": "2025-09-20T11:45:01+05:30",
"@baseType": "Payment",
"@schemaLocation": null,
"@type": "Payment",
"@referredType": null
},
"paymentMethod": {
"id": "0.0.0.1+-payinfo-cc+6342675",
"href": "http:/host:port/brm/paymentMethods/v1/paymentMethod/0.0.0.1+-payinfo-cc+6342675",
"description": null,
"isPreferred": true,
"name": "PIN Payinfo Object",
"status": null,
"statusDate": null,
"account": [
{
"id": "0.0.0.1+-account+6340627",
"href": null,
"description": null,
"name": "Jane Mason",
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
}
],
"relatedParty": null,
"validFor": null,
"@baseType": null,
"@schemaLocation": null,
"@type": "tokenizedCard",
"@referredType": null
},
"product": {
"id": "0.0.0.1+-service-telco-gsm-telephony+6343955",
"href": null,
"name": "ServiceTelcoGsmTelephony",
"@baseType": null,
"@schemaLocation": null,
"@type": "ProductRef",
"@referredType": null
},
"reason": null,
"recurringPeriod": null,
"relatedParty": null,
"relatedTopupBalance": null,
"requestedDate": "2025-09-20T11:45:02+05:30",
"requestor": null,
"status": "CONFIRMED",
"usageType": "monetary",
"voucher": ""
},
{
"@baseType": "TopupBalance",
"@schemaLocation": null,
"@type": "TopupBalance",
"amount": {
"amount": 20.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": {
"id": "0.0.0.1+-balance_group+4097444+840+0",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+4097444+840+0",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"channel": null,
"confirmationDate": "2025-09-20T10:41:44+05:30",
"description": null,
"href": "http://host:port/brm/prepayBalanceManagement/v4/topupBalance/0.0.0.1+-topup+6442543",
"id": "0.0.0.1+-topup+6442543",
"impactedBucket": [
{
"@baseType": "ImpactedBucket",
"@schemaLocation": null,
"@type": "ImpactedBucket",
"amountAfter": {
"amount": 643.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"amountBefore": {
"amount": 663.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"bucket": {
"id": "0.0.0.1+-balance_group+4097444+840+0",
"href": "http://host:port/brm/prepayBalanceManagement/v4/bucket/0.0.0.1+-balance_group+4097444+840+0",
"name": null,
"@baseType": "BucketRef",
"@schemaLocation": null,
"@type": "BucketRef",
"@referredType": null
},
"confirmationDate": null,
"description": null,
"item": [
{
"@baseType": "ImpactedBucketItem",
"@schemaLocation": null,
"@type": "ImpactedBucketItem",
"amount": {
"amount": 20.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"description": null,
"itemType": null,
"name": null,
"reason": null
}
],
"name": null,
"requestedDate": null
}
],
"isAutoTopup": false,
"logicalResource": {
"@baseType": null,
"@referredType": null,
"@schemaLocation": null,
"@type": null,
"href": null,
"id": null,
"name": null,
"value": "056-20250812-035011-1-20412--146856192-cagbu-phx-175"
},
"numberOfPeriods": null,
"partyAccount": {
"id": "0.0.0.1+-account+6340627",
"href": null,
"description": null,
"name": "Jane Mason",
"status": "active",
"@baseType": null,
"@schemaLocation": null,
"@type": "PartyAccountRef",
"@referredType": null
},
"payment": {
"id": "0.0.0.1+-item-payment+6439471",
"href": "http://host:port/brm/payment/v4/payment/0.0.0.1+-item-payment+6439471",
"name": "Billing Event Log",
"amount": {
"unit": "USD",
"value": 20.0
},
"paymentDate": "2025-09-20T10:41:43+05:30",
"@baseType": "Payment",
"@schemaLocation": null,
"@type": "Payment",
"@referredType": null
},
"paymentMethod": {
"id": "0.0.0.1+-payinfo-cc+6306114",
"href": "http://host:port/brm/paymentMethods/v1/paymentMethod/0.0.0.1+-payinfo-cc+6306114",
"description": null,
"isPreferred": false,
"name": "PIN Payinfo Object",
"status": null,
"statusDate": null,
"account": [
{
"id": "0.0.0.1+-account+6340627",
"href": null,
"description": null,
"name": "Jane Mason",
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
}
],
"relatedParty": null,
"validFor": null,
"@baseType": null,
"@schemaLocation": null,
"@type": "tokenizedCard",
"@referredType": null
},
"product": {
"id": "0.0.0.1+-service-telco-gsm-sms+4099940",
"href": null,
"name": "ServiceTelcoGsmSms",
"@baseType": null,
"@schemaLocation": null,
"@type": "ProductRef",
"@referredType": null
},
"reason": null,
"recurringPeriod": null,
"relatedParty": null,
"relatedTopupBalance": null,
"requestedDate": "2025-09-20T10:41:44+05:30",
"requestor": null,
"status": "CONFIRMED",
"usageType": "monetary",
"voucher": ""
}
]